/*************************************************************/
/* Includes and other common stuff for the MUI demo programs */
/*************************************************************/

/* MUI */
#include <libraries/mui.h>

/* UMS */
#include <libraries/ums.h>

/* System */
#include <dos/dos.h>
#include <graphics/gfxmacros.h>
#include <workbench/workbench.h>
#include <exec/memory.h>

/* Prototypes */
#include <clib/alib_protos.h>
#include <clib/exec_protos.h>
#include <clib/dos_protos.h>
#include <clib/icon_protos.h>
#include <clib/graphics_protos.h>
#include <clib/intuition_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/muimaster_protos.h>
#include <clib/asl_protos.h>
#include <clib/ums_protos.h>

/* ANSI C */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <time.h>
#include <ctype.h>

/* Compiler specific stuff */

#define REG(x) __ ## x
#define ASM
#define SAVEDS __geta4

int brkfunc(void)
   {
   return(0);
   }

int wbmain(struct WBStartup *wb_startup)
   {
   extern int main(int argc, char *argv[]);
   
   return main(0, NULL);
   }

static VOID init(VOID)
   {
   onbreak(brkfunc);
   }

static VOID stccpy(STRPTR dest, STRPTR source, int len)
   {
   strncpy(dest, source, len);
   dest[len-1] = '\0';
   }

#ifndef MAKE_ID
   #define MAKE_ID(a,b,c,d) ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#endif

LONG __stack = 4096;

